# Logs
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

node_modules
dist
dist-ssr
*.local

# Editor directories and files
.vscode/*
!.vscode/extensions.json
.idea
.DS_Store
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?
.env
dashboard/build/**
dashboard-server/frontend/build/**
**/build/**
.fuse_hidden**
._*

# Build directories
build/
*/build/
**/build/
**/dist/
dashboard/build/
dashboard-server/frontend/build/
dashboard-server/build/
**/assets/build/
dashboard-server/klaviyo-server/routes/._campaigns.routes.js
dashboard-server/klaviyo-server/routes/._reporting.routes.js
dashboard-server/klaviyo-server/services/._campaigns.service.js
dashboard-server/klaviyo-server/services/._reporting.service.js
dashboard-server/meta-server/utils/._meta.utils.js
dashboard-server/._dashboard.conf
dashboard-server/meta-server/._utils
dashboard-server/meta-server/._routes
dashboard-server/meta-server/._package-lock.json
dashboard-server/meta-server/._services
*.tsbuildinfo

uploads/*
uploads/**/*
**/uploads/*
**/uploads/**/*

# CSV data files
*.csv
csv/*
csv/**/*
**/csv/*
**/csv/**/*
!csv/.gitkeep
inventory/tsconfig.tsbuildinfo
inventory-server/scripts/.fuse_hidden00000fa20000000a

.VSCodeCounter/
.VSCodeCounter/*
.VSCodeCounter/**/*

*/chat/db-convert/db/*
*/chat/db-convert/mongo_converter_env/*

# Ignore compiled Vite config to avoid duplication
vite.config.js